Method: v1.metrics.post

Send metric data to your project by using the Telemetry (OTLP) API, which implements the OpenTelemetry OTLP Protocol. For information about this API, see v1.metrics overview.

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service supports a global service endpoint.

HTTP request

POST https://telemetry.googleapis.com/v1/metrics

Request body

The request body contains an instance of ExportMetricsServiceRequest. For information about this structure, see metrics_service.proto and metrics.proto.

For information about sending requests and about the OTLP protocol, see Protocol Details.

Response body

The response body contains an instance of ExportMetricsServiceResponse. For information about this structure, see the metrics_service.proto.

The response can indicate full success, partial success, or failure. For more information, see OTLP/gRPC Response.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/monitoring.write
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.